Package com.databricks.jdbc.api.impl.converters

## Class ConverterHelper

- java.lang.Object
- - com.databricks.jdbc.api.impl.converters.ConverterHelper

    public class ConverterHelper
    extends Object

### Constructor Summary

Constructors
`ConverterHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Object` `getConvertedObject​(int columnType, Object object)`
`static Object` `getConvertedObject​(Class<?> javaType, AbstractObjectConverter converter)`
`static AbstractObjectConverter` `getObjectConverter​(Object object, int columnType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConverterHelper

    public ConverterHelper()

### Method Detail

#### getConvertedObject

    public static Object getConvertedObject​(int columnType,
                                            Object object)
                                     throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### getConvertedObject

    public static Object getConvertedObject​(Class<?> javaType,
                                            AbstractObjectConverter converter)
                                     throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### getObjectConverter

    public static AbstractObjectConverter getObjectConverter​(Object object,
                                                             int columnType)
                                                      throws DatabricksSQLException

Throws:
  `DatabricksSQLException`